Bug 11972 - crond has sendmail -i option not set
Summary: crond has sendmail -i option not set
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-08 06:53 UTC by Martin Lichtin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 22:01:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Lichtin 2000-06-08 06:53:44 UTC
and therefore ends a message when
there's a single dot on a line.
Here's the patch (there tabs in there...):

*** config.h.orig       Thu Jun  8 00:38:11 2000
--- config.h    Thu Jun  8 00:38:44 2000
***************
*** 42,49 ****
                         */

  #define MAILCMD _PATH_SENDMAIL                                       
/*-*/
! #define MAILARGS "%s -FCronDaemon -odi -oem %s"                      
/*-*/
                        /* -Fx   = set full-name of sender
                         * -odi  = Option Deliverymode Interactive
                         * -oem  = Option Errors Mailedtosender
                         * -or0s = Option Readtimeout -- don't time out
--- 42,50 ----
                         */

  #define MAILCMD _PATH_SENDMAIL                                       
/*-*/
! #define MAILARGS "%s -FCronDaemon -i -odi -oem %s"                   
/*-*/
                        /* -Fx   = set full-name of sender
+                          * -i    = ignore single dot on line
                         * -odi  = Option Deliverymode Interactive
                         * -oem  = Option Errors Mailedtosender
                         * -or0s = Option Readtimeout -- don't time out

Comment 1 Bill Nottingham 2000-06-11 17:23:02 UTC
Fixed in vixie-cron-3.0.1-43 - thanks for the patch!h


Note You need to log in before you can comment on or make changes to this bug.